aegis -New_BRanch(1)

NAME
aegis -New_BRanch - create a new branch

SYNOPSIS
aegis -New_BRanch [ number ][ option... ]
aegis -New_BRanch -Help

DESCRIPTION
The aegis -New_BRanch command is used to create a new branch. A branch is very similar to a change, except that a branch may have changes (or branches) of its own, and a change may not.

You may choose your own branch number, if you want. Zero and positives are legal, but negatives are not. It is an error if that number has already been used for a change or another branch. If you do not specify a change number, the lowest available positive number (1 or more) will be used.

The new branch will be a special sort of change. It will be in the 'being developed' state, but the usual commands in that stat (build, diff, etc) will not work. Instead, you must create changes on the branch, and when those changes are integrated into the branch, this is the equivalent of build, diff, etc, on the branch. Once the branch is completed, the aede(1) command may be used to advance it to the being reviewed state, and from then on it becomes a normal change. Should it be returned to the being developed state for any reason, it will once again require sub-changes to alter anything.

OPTIONS
The following options are understood:

-Help
    This option may be used to obtain more information about how to use the aegis program.

-Output filename
    This option may be used to specify a filename which is to be written with the automatically determined branch number. Useful for writing scripts.

-REAson text
    This option may be used to attach a comment to the change history generated by this command. You will need to use quotes to insulate the spaces from the shell.

-Wait
    This option may be used to require Aegis commands to wait for access locks, if they cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

-No_Wait
    This option may be used to require Aegis commands to emit a fatal error if access locks cannot be obtained immediately. Defaults to the user's lock_wait_preference if not specified, see aeuconf(5) for more information.

All options may be abbreviated; the abbreviation is documented as the upper case letters, all lower case letters and underscores (_) are optional. You must use consecutive sequences of optional letters.

All options are case insensitive, you may type them in upper case or lower case or a combination of both, case is not important.

For example: the arguments "-project, "-PROJ" and "-p" are all interpreted to mean the -Project option. The argument "-prj" will not be understood, because consecutive optional characters were not supplied.

Options and other command line arguments may be mixed arbitrarily on the command line, after the function selectors.

The GNU long option names are understood. Since all option names for aegis are long, this means ignoring the extra leading '-'. The "--option=value" convention is also understood.

EXIT STATUS
The aegis command will exit with a status of 1 on any error. The aegis command will only exit with a status of 0 if there are no errors.

ENVIRONMENT VARIABLES
See aegis(1) for a list of environment variables which may affect this command. See aepconf(5) for the project configuration file's project_specific field for how to set environment variables for all commands executed by Aegis.

RECOMMENDED ALIAS
The recommended alias for this command is
csh%    alias aenbr 'aegis -nbr \!* -v'
sh$     aenbr(){aegis -nbr "$@" -v}

SEE ALSO

aenbru(1)
    remove a branch

aenc(1)
    create a new change

aede(1)
    develop end

COPYRIGHT
aegis version 4.24.2.D001
Copyright (C) 1991, 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 20 Peter Miller

The aegis program comes with ABSOLUTELY NO WARRANTY; for details use the 'aegis -VERSion License' command. This is free software and you are welcome to redistribute it under certain conditions; for details use the 'aegis -VERSion License' command.

AUTHOR
Peter Miller | E-Mail: | millerp@canb.auug.org.au
/\/\* | WWW: | http://www.canb.auug.org.au/~millerp/